//////////////////////////////////////////////////////////////////////////
//
// FILE:   Main.C
//
// DATE:   January 3, 1996
//
// AUTHOR:
//
//    James Kuffner, Jr
//    Computer Science Department
//    Stanford University
//    U.S.A.
//    email: kuffner@stanford.edu
//    http://robotics.stanford.edu/~kuffner
//
// DISTRIBUTION NOTICE
//
// Copyright (c) 1996 James Kuffner, Jr. All rights reserved.
//
// Permission to use, copy, modify and distribute this software for any
// purpose is hereby granted without fee, provided that the above
// copyright notice and this permission notice appear in all copies of
// this software and that you do not sell the software.
//
// THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT WARRANTY OF ANY KIND,
// EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY
// WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
//
//////////////////////////////////////////////////////////////////////////

#ifndef IGNORE_DEPEND
#include <Xm/Xm.h>
#include <Inventor/Xt/SoXt.h>
#endif

#include "Interpolate.h"

const char*
MAIN_WINDOW_TITLE = "Rotation Keyframe Interpolation Demonstration";

void main()
{
  Widget mainWindow;

  mainWindow = SoXt::init(MAIN_WINDOW_TITLE);
  new Interpolate(mainWindow);
  SoXt::show(mainWindow);
  SoXt::mainLoop();
}
